]> git.pld-linux.org Git - packages/pwdutils.git/commitdiff
- new
authorArkadiusz Miśkiewicz <arekm@maven.pl>
Sun, 4 Jan 2004 01:37:27 +0000 (01:37 +0000)
committercvs2git <feedback@pld-linux.org>
Sun, 24 Jun 2012 12:13:13 +0000 (12:13 +0000)
Changed files:
    pwdutils.rpasswdd.init -> 1.1

pwdutils.rpasswdd.init [new file with mode: 0644]

diff --git a/pwdutils.rpasswdd.init b/pwdutils.rpasswdd.init
new file mode 100644 (file)
index 0000000..98b4e70
--- /dev/null
@@ -0,0 +1,76 @@
+#!/bin/sh
+#
+# rpasswd      remote password changing daemon
+#
+# chkconfig:   345 70 30
+#
+# description: remote password changing daemon
+
+
+# Source function library
+. /etc/rc.d/init.d/functions
+
+# Get network config
+. /etc/sysconfig/network
+
+# Get service config
+[ -f /etc/sysconfig/rpasswdd ] && . /etc/sysconfig/rpasswdd
+
+# Check that networking is up.
+if is_yes "${NETWORKING}"; then
+       if [ ! -f /var/lock/subsys/network -a "$1" != stop -a "$1" != status -a "$1" != init ]; then
+               msg_network_down rpasswdd
+               exit 1
+       fi
+else
+       exit 0
+fi
+                       
+RETVAL=0
+# See how we were called.
+case "$1" in
+  start)
+       # Check if the service is already running?
+       if [ ! -f /var/lock/subsys/rpasswdd ]; then
+               msg_starting rpasswdd
+               daemon /usr/sbin/rpasswdd 
+               RETVAL=$?
+               [ $RETVAL -eq 0 ] && touch /var/lock/subsys/rpasswdd            
+       else
+               msg_already_running rpasswdd
+       fi
+       ;;
+  stop)
+       if [ -f /var/lock/subsys/rpasswdd ]; then
+               msg_stopping rpasswdd
+               killproc rpasswdd
+               rm -f /var/run/rpasswdd.pid /var/lock/subsys/rpasswdd >/dev/null 2>&1
+       else
+               msg_not_running rpasswdd
+       fi      
+       ;;
+  restart)
+       $0 stop
+       $0 start
+       exit $?
+       ;;
+  status)
+       status rpasswdd
+       exit $?
+       ;;
+  reload|force-reload)
+       if [ -f /var/lock/subsys/rpasswdd ]; then
+               msg_reloading rpasswdd
+               killproc rpasswdd -HUP
+               RETVAL=$?
+       else
+               msg_not_running rpasswdd >&2
+               exit 7
+       fi
+       ;;
+  *)
+       msg_usage "$0 {start|stop|init|restart|reload|force-reload|status}"
+       exit 3
+esac
+
+exit $RETVAL
This page took 0.04214 seconds and 4 git commands to generate.